<?php
/**
 * -----------------------------------------
 * @since 1.51 - 12.12.2022
 * @version 1.51
 * @link http://www.php-space.info/umfrage-script/
 * @author Nico Schubert / SchubertMedia
 * @abstract E-Mail: info@schubertmedia.de
 *
 * @copyright Es ist untersagt den Copyright Hinweis zu entfernen bei den Umfrage Script.
 * @abstract Eine Copyright freie Version können Sie für einmalig 20,- EUR inkl. 19% MwSt. erwerben,
 * hierzu möchten wir Sie bitten das Bestellformular http://www.php-space.info/script-erweiterung-bestellen/ zu nutzen.
 * -----------------------------------------
 */

/**
 * @param int $votes
 * @param int $gesamt_anzahl
 * @return float|int
 */
	function prozent(int $votes, int $gesamt_anzahl): float|int
  {
		if($votes == 0){
			return 0;
		} else {
			if($gesamt_anzahl==0) return 0;
			return (100/$gesamt_anzahl)*$votes;
		}
	}
  /**
  * @param string $ip
  * @return int
  */
	function check_ip(string $ip): int|string
  {
		if(file_exists(DATEI_IPS)===false){
			return '';
		}
		$gefunden=0;
		if(IP_RELOAD){
			$ip_array = file(DATEI_IPS);
			if(is_array($ip_array)===true){
				$reload_dat = fopen(DATEI_IPS,"wb");
				$zeit_jetzt=time();
        if(is_array($ip_array)) {
          for ($i = 0; $i <= (count($ip_array)-1); $i++) {
            list($ip_daten, $zeit_array) = explode("|", $ip_array[$i]);
            $zeit_array = intval($zeit_array);
            if ($zeit_jetzt < ($zeit_array + 60 * ZEIT_RELOAD)) {
              if ($ip_daten == $ip) {
                $gefunden = 1;
              }
            } else {
              fwrite($reload_dat, $ip . '|' . $zeit_array);
            }
          }
        }
				fwrite($reload_dat, $ip.'|'.$zeit_jetzt);
				fclose($reload_dat);
			} else {
				return 0;
			}
		}
		return($gefunden==1) ? 1:0;
	}